<?php
# ************** LICENCE ****************
/*
	Copyright (c) PORTANEO.

	This file is part of COLLABORATION SUITE of POSH http://sourceforge.net/projects/posh/.

	POSH is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version

	POSH is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Posh.  If not, see <http://www.gnu.org/licenses/>.
*/
# ***************************************
# Remove a user from my network
# !! be careful, this file must be saved under uft8 format, and display an e accentuated here : éàèù
# ***************************************

/**
*
* \brief Remove a user from my network
*
* @param  (int) id : Firend ID
*
*   return xml file
*
*  \relatesalso
*   enterprise.js
*  $p.network.suppress
*
* !! be careful, this file must be saved under uft8 format, and display an e accentuated here : é
*
**/

$folder="";
$not_access=1;
$isScript=true;
$isPortal=false;
$pagename="portal/scr_network_removeuser.php";
$granted="I";
//includes
require_once('includes.php');
require_once('../db_layer/'.__DBTYPE.'/enterprise.php');
require_once('../includes/xml.inc.php');

$id  = (isset($_POST["id"])) ? $_POST["id"] : exit();

$file=new xmlFile();

$file->header();

//remove user for the concerned network
$chk = $DB->execute($scrnetworkremoveuser_removeUser,$DB->escape($_SESSION['user_id']),$DB->escape($id));

if (__NETWORK_TYPE == 'R' && $chk)
{
	//bi-directional remove
	$chk = $DB->execute($scrnetworkremoveuser_removeUser,$DB->escape($id),$DB->escape($_SESSION['user_id']));
	
	//remove keywords attached to this user
	$DB->execute($scrnetworkremoveuser_removeKeywords,$DB->escape($id),$DB->escape($_SESSION['user_id']));
}
//remove keywords attached to this user
$DB->execute($scrnetworkremoveuser_removeKeywords,$DB->escape($_SESSION['user_id']),$DB->escape($id));

$file->status($chk);

$file->footer();

$DB->close();
?>